# cv::FastFeatureDetector Class Reference

`#include <features2d.hpp>`

Inheritance diagram for cv::FastFeatureDetector:

List of all members.

## Public Member Functions

| FastFeatureDetector (int threshold=10, bool nonmaxSuppression=true)
virtual void | read (const FileNode &fn)
virtual void | write (FileStorage &fs) const

## Protected Member Functions

virtual void | detectImpl (const Mat &image, vector< KeyPoint > &keypoints, const Mat &mask=Mat()) const

## Protected Attributes

bool | nonmaxSuppression
int | threshold

## Constructor & Destructor Documentation

cv::FastFeatureDetector::FastFeatureDetector | ( | int | threshold = `10`,
|  | bool | nonmaxSuppression = `true`
| ) |  |

## Member Function Documentation

virtual void cv::FastFeatureDetector::detectImpl | ( | const Mat & | image,
|  | vector< KeyPoint > & | keypoints,
|  | const Mat & | mask = `Mat()`
| ) |  | const`[protected, virtual]`

Implements cv::FeatureDetector.

virtual void cv::FastFeatureDetector::read | ( | const FileNode & | fn ) | `[virtual]`

Reimplemented from cv::FeatureDetector.

virtual void cv::FastFeatureDetector::write | ( | FileStorage & | fs ) | const`[virtual]`

Reimplemented from cv::FeatureDetector.

## Member Data Documentation

bool cv::FastFeatureDetector::nonmaxSuppression`[protected]`

int cv::FastFeatureDetector::threshold`[protected]`

The documentation for this class was generated from the following file:

- /usr/obj/OpenCV-2.2.0/OpenCV-2.2.0/modules/features2d/include/opencv2/features2d/features2d.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines